#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 rvar
version:              0.2.0.6
visibility:           public
id:                   rvar-0.2.0.6-8XKpIqsOfSDNNnHq8b5Fl
key:                  rvar-0.2.0.6-8XKpIqsOfSDNNnHq8b5Fl
license:              LicenseRef-PublicDomain
maintainer:           James Cook <mokus@deepbondi.net>
author:               James Cook <mokus@deepbondi.net>
stability:            stable
homepage:             https://github.com/mokus0/random-fu
synopsis:             Random Variables
description:
    Random number generation based on modeling random
    variables by an abstract type ('\''RVar'\'') which can be
    composed and manipulated monadically and sampled in
    either monadic or \"pure\" styles.

    The primary purpose of this library is to support
    defining and sampling a wide variety of high quality
    random variables.  Quality is prioritized over speed,
    but performance is an important goal too.

    In my testing, I have found it capable of speed
    comparable to other Haskell libraries, but still
    a fair bit slower than straight C implementations of
    the same algorithms.

    Changes in 0.2.0.1:  Version bump for transformers
    dependency.

category:             Math
abi:                  da6b4961cdbaa6ef196b749ee207013f
exposed:              True
exposed-modules:      Data.RVar
import-dirs:          /usr/lib/ghc-9.0.1/site-local/rvar-0.2.0.6
library-dirs:         /usr/lib/ghc-9.0.1/site-local/rvar-0.2.0.6
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.1/rvar-0.2.0.6
hs-libraries:         HSrvar-0.2.0.6-8XKpIqsOfSDNNnHq8b5Fl
depends:
    MonadPrompt-1.0.0.5-3aQW64UgU7vGFzuL1w1DPh base-4.15.0.0 mtl-2.2.2
    random-source-0.3.0.11-3eKjAE3q6aJCb2gBX6Crz transformers-0.5.6.2

haddock-interfaces:   /usr/share/doc/haskell-rvar/html/rvar.haddock
haddock-html:         /usr/share/doc/haskell-rvar/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

